Subject: misc
From: Wouter van Oortmerssen <[email-masked]>
To: [email-masked]
Date: Thu, 8 Jul 1993 04:32:43 +0200

>> Here are excerpts from correspondence I'd like to pass on which refer to the
>> news about the next E upgrade (and a few odds and ends.)  -- Barry
 
hey barry, the bit below about "say so on the list" was a reaction to
your reaction on "reactions of general interest to this list!", not
a recommendation to start literally copy my mails. do you make a habit
out of doing this? not that it contains anything secret, but you should
be more carefull about what you pass on.
 
>> [large amount of recent mail removed]
>> 
>> So I'll say it again:  *standing ovation!!!*  What I've heard from a lot of y
u
>> confirms my own opinion of E.  When I first got hold of E, it sat on a floppy
>> for about 3 weeks until I got around to looking at it.  "Yeah, yeah," I said,
>> "another PD programming language."  See, I was jaded by this time, being unab
e
>> to find a language appealing enough and reliable enough.  Being a big fan of
>> C++, I tried Lattice C++ (at $225!) and found it to be flakey.  I read about
>> the compiler's features which concluded, "If these features haven't made you
>> anxious to use E, I suggest you testdrive the compiler after reading this doc
>> to "feel the power" yourself."  Some boast!  I had to take the challenge. 
>> Well, I liked it enough to give up my current project in C++ at the time, 
>> Fill - The Smart File Mover/Copier, and write it in E.  Then I decided to wri
e
>> EPP - an E Preprocessor, because I could see that major hole right away, no
>> user modules; and I expected a long wait for the arrival of modules in the 
>> language.  Well, I should have expected different, considering the speed of t
e
>> compiler, the speed of response to my questions, and the personal interaction
 
>> Wouter has given us :)  I *was* a big fan of C and C++, but E V2.1b (BETA!) w
s
>> far more wieldy, and more reliable.  And the user support has been incredible
>> Sometimes I suspect there is more than one Wouter (more like 7 or 8, is that
>> your secret? :)
 
yes indeed, I've got a large company of 47 people working for me 24 hours
a day with as their sole task writing compilers for weird languages I create.
No seriously, I does cost an incredible amount of time, especially now
while I'm working on 2.5, but it's worth it.
 
>> I can't wait patiently for V2.5 to arrive!  But wait I will,
>> chomping at the bit.
>> 
>> -- Barry
 
>>  Wouter,
>> 
>> Could you/would you implement some kind of directive that forces data to be
>> placed in chip ram, like the Lattice C "chip" storage class specifier?
>> 
>> -- Barry
 
I probably could, but I find it a very ugly idea. small chipdata can always
be copied to chip after a program start (spritedata etc.). if the amount
of data is that large that it would be a waiste of memory to copy it,
(pictures, samples etc.) it shouldn't be _in_ the program in the first place,
but rather in a seperate file and read directly into chipram.
 
Wouter
 
   ____  Wouter van Oortmerssen, [email-masked]
  / __/  "Einen Satz verstehen, heisst, wissen was der Fall ist,
 / __/    wenn er wahr ist" - Wittgenstein
/___/  ->subscribe to the E mailing list: [email-masked]<-